local addonName, addon = ...
local childName = addon['childName']
local child = addon[childName]
local events = child['events']
local db
LibStub("zzHelper"):Embed(child)
local function prepareDB()
	db = addon['db']['profile'][childName]
	child['db'] = db
	addon['callbacks']:Fire(format("Init%s", childName))
end
child['specs']  = {
	['name'] = childName,
	['sv'] = true,
	['cfg'] = true,
	['cfgReset'] = prepareDB,
	['ldb'] = child['ldb'],
	['defaults'] = {
		['profile'] = {
			[childName] = {
				['zz_Coords'] = {
					['customTab'] = true,
					['custom'] = {
						['anchor'] = "CENTER",
						['relativTo'] = addonName,
						['parentAnchor'] = "TOP",
						['parentXOffset'] = -80,
						['parentYOffset'] = -16,
					},
					['active'] = true,
					['showText'] = true,
				},
				["zz_Money"] = {
					['customTab'] = true,
					['custom'] = {
						['anchor'] = "CENTER",
						['relativTo'] = addonName,
						['parentAnchor'] = "BOTTOM",
						['parentXOffset'] = -40,
						['parentYOffset'] = 32,
					},
					['active'] = true,
					['showText'] = true,
				},
				["zz_Infoclock"] = {
					['customTab'] = true,
					['custom'] = {
						['anchor'] = "CENTER",
						['relativTo'] = addonName,
						['parentAnchor'] = "BOTTOM",
						['parentXOffset'] = -40,
						['parentYOffset'] = 16,
					},
					['active'] = true,
					['showText'] = true,
				},
			}
		}
	}
}
function events:PLAYER_ENTERING_WORLD(event)
	child:UnregisterEvent('PLAYER_ENTERING_WORLD')
end
child:NewAddOn(...)